#!/bin/bash


## VMB env
vbroot='/Users/admin/vbox/'
vbm='/usr/local/bin/VBoxManage'
srp='/Users/admin/usr/vlu'
log=$(echo $srp'/logs/provisioning_broker.log')
vmlg=$(echo $vbroot'vm_ico/')	
DEVICE_OS_RANGE='allOS'


function getOSSpecs () {
	__osRangeLC=$(echo "$DEVICE_OS_RANGE" | awk '{print tolower($0)}')

	echo "OSRangeLC = "$__osRangeLC

	case $__osRangeLC in
		ios* )
			__VM_ICONFILE=$(echo $vmlg'ios.png');
			;;
		and* )
			__VM_ICONFILE=$(echo $vmlg'android.png');
			;;
		web* )
			__VM_ICONFILE=$(echo $vmlg'web.png');
			;;
		all*	 )
			__VM_ICONFILE=$(echo $vmlg'allos.png');
			;;
		* )
			echo "no match!"
			;;
	esac

echo "VMCnf = "$__VM_ICONFILE


}

function logger () {
	__logMsg=$@
	if [[ ${__logMsg: -2} != '\n' ]] && [[ ${__logMsg: -2} != '\t' ]]; then __logMsg=$(echo $__logMsg'\n');fi

	#echo -ne $__logMsg >> $log
	if [[ $sec_option != 'silence' ]]; then echo -ne $__logMsg;fi
}

#s='Please pass me the thing!'
#sbn='Please pass me the thing!\n'
#logger 's='$s
#logger 'sbn='$sbn
#date "+%Y-%m-%d %H:%M:%S"
#getOSSpecs

MYSTUFF=$(cat /Users/admin/usr/vlu/etc/iq_test/macAddrRelationTable | grep -wi $1 | head -n 1 | awk '{print $1}')

if [[ $MYSTUFF == '' ]]; then
	echo "ERROR OUECH"
else
	echo "MAC: "$MYSTUFF
fi